/**
 * This software is contributed or developed by KYOCERA Corporation.
 * (C) 2019 KYOCERA Corporation
 */

package org.chromium.base;

import org.chromium.base.annotations.JNINamespace;

@JNINamespace("base::android")
public class AfpConfigUtil {
    private static final String TAG = "AfpConfigUtil";

    public static final String KEY_COLOR_PICKER_SCROLL = "color_picker_scroll";
    public static final String KEY_PICKER_SOFTKEY = "picker_softkey";
    public static final String KEY_WEBVIEW_IME = "webview_ime";
    public static final String KEY_CUSTOM_MIMIMUM_FOCUSRING = "custom_min_focusring";
    public static final String KEY_CUSTOM_MIMIMUM_FOCUSRING_VALUE = "custom_min_focusring_value";
    public static final String KEY_SELECT_POPUP_THEME = "select_popup_theme";

    private static AfpConfigUtil sInstance = new AfpConfigUtil();
    private long mAfpConfigUtil;

    public static AfpConfigUtil getInstance() {
        return sInstance;
    }

    public void setConfigValues(String[] values) {
        nativeSetConfigValues(values);
    }

    public boolean getConfigBooleanValue(String key) {
        return nativeGetConfigBooleanValue(key);
    }

    public int getConfigIntValue(String key) {
        return nativeGetConfigIntValue(key);
    }

    private native void nativeSetConfigValues(String[] values);
    private native boolean nativeGetConfigBooleanValue(String key);
    private native int nativeGetConfigIntValue(String key);
}
