/**
 * This software is contributed or developed by KYOCERA Corporation.
 * (C) 2019 KYOCERA Corporation
 */

#include "base/android/object_focus_text_map.h"

namespace base {
namespace android {

using namespace std;

ObjectFocusTextMap::ObjectFocusTextMap() {
  map_["text"] = "Input form. Please enter text.";
  map_["password"] = "Input form. Please enter password.";
  map_["search"] = "Input form. Please enter search text.";
  map_["tel"] = "Input form. Please enter phone number.";
  map_["url"] = "Input form. Please enter URL.";
  map_["email"] = "Input form. Please enter email address.";
  map_["datetime"] = "Input form. Please enter time.";
  map_["submit"] = "Submit button.";
  map_["file"] = "File button.";
  map_["reset"] = "Reset button.";
  map_["button"] = "Button.";
  map_["image"] = "Image.";
  map_["image2"] = "Link of image.";
  map_["date"] = "Picker of date. Please set date.";
  map_["time"] = "Picker of time. Please set time.";
  map_["datetime-local"] = "Picker of time. Please select local time.";
  map_["month"] = "Picker of month. Please select month.";
  map_["week"] = "Picker of week. Please select week.";
  map_["number"] = "Input form. Please enter number.";
  map_["range"] = "Range input.";
  map_["color"] = "Picker of colour. Please select colour.";
  map_["radio"] = "Radio button.";
  map_["checkbox"] = "Checkbox.";
  map_["link-start"] = "Start of link.";
  map_["link-end"] = "End of link.";
  map_["link-tag-start"] = "";
  map_["link-tag-end"] = "";
  map_["checked"] = "Checked.";
  map_["unchecked"] = "Unchecked.";
  map_["comma"] = ",";
}

ObjectFocusTextMap::~ObjectFocusTextMap() {}

string ObjectFocusTextMap::FindObjectTextMap(string key) {
  string text;
  if (map_.count(key) > 0) {
    std::map<string, string>::iterator itr = map_.find(key);
    text = itr->second;
  }
  return text;
}

void ObjectFocusTextMap::SetFocusedTextList(vector<string> texts) {
  for (unsigned int i=0; i < texts.size(); ++i) {
    vector<string> result;
    SplitFocusedText(texts[i], result);
    if (result.size() == 2) {
      map_.erase(result[0]);
      map_.insert(make_pair(result[0], result[1]));
    }
  }
}

void ObjectFocusTextMap::SplitFocusedText(string text, vector<string>& result) {
  string::size_type pos = text.find("=");
  if(pos == string::npos) {
    result.push_back(text.substr(0));
    return;
  }
  result.push_back(text.substr(0, pos));
  result.push_back(text.substr(pos + 1));
}

} // namespace android
} // namespace base