/**
 * This software is contributed or developed by KYOCERA Corporation.
 * (C) 2019 KYOCERA Corporation
 */

#ifndef ObjectFocusTextMap_h
#define ObjectFocusTextMap_h

#include "base/memory/singleton.h"

#include <map>
#include <string>
#include <vector>

namespace base {
namespace android {

class ObjectFocusTextMap {
public:
  ObjectFocusTextMap();
  ~ObjectFocusTextMap();
  void SetFocusedTextList(std::vector<std::string> texts);
  void SplitFocusedText(std::string text, std::vector<std::string>& result);
  std::string FindObjectTextMap(std::string key);
  static ObjectFocusTextMap* getInstance() {
    return base::Singleton<ObjectFocusTextMap>::get();
  }
private:
  std::map<std::string, std::string> map_;
};

} // namespace android
} // namespace base

#endif // DocumentType_h